is.na-method {PivotalR} | R Documentation

## Query if the entries in a table are NULL

### Description

This function is equivalent to an SQL query that checks if the entries in a table are NULL.

### Usage

    ## S4 method for signature 'db.obj'
    is.na(x)

### Arguments

`x` | The signature of the method. A `db.obj` object.

### Details

`is.na()` creates a `db.Rquery` object where the NULL entries in a `db.obj` object are `TRUE`, and other the entries are `FALSE`.

### Value

The return value is a `db.Rquery` object.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`lk` or `lookat` Displays the contents of a `db.obj` object.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a temp table from the example data.frame "abalone"
    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)

    #Query which entries of x are NULL
    is.na(x)

    y <- x
    y[is.na(y)] <- 3

    z <- x
    z[is.na(x$height),"height"] <- 23

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]